Bug 11911 - setgid directory mode lost with 2.0.7
Summary: setgid directory mode lost with 2.0.7
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-05 07:56 UTC by Michael Tokarev
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-05 09:11:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that removes last (2.0.7) changes around mkdir() call (420 bytes, patch)
2000-06-05 08:07 UTC, Michael Tokarev
no flags Details | Diff
patch that removes last (2.0.7) changes around mkdir() call (420 bytes, patch)
2000-06-05 08:08 UTC, Michael Tokarev
no flags Details | Diff
patch for .spec file to use previous patch -- oops, forget to add changelog entry:) (490 bytes, patch)
2000-06-05 09:00 UTC, Michael Tokarev
no flags Details | Diff
patch for .spec file to use previous patch -- oops, forget to add changelog entry:) (490 bytes, patch)
2000-06-05 09:04 UTC, Michael Tokarev
no flags Details | Diff
patch for .spec file to use previous patch -- oops, forget to add changelog entry:) (490 bytes, patch)
2000-06-05 09:08 UTC, Michael Tokarev
no flags Details | Diff
patch for .spec file to use previous patch -- oops, forget to add changelog entry:) (490 bytes, patch)
2000-06-05 09:08 UTC, Michael Tokarev
no flags Details | Diff

Description Michael Tokarev 2000-06-05 07:56:16 UTC
With 2.0.7, the standard unix setgid mode behavor
was lost.  Samba does mkdir() and chmod(), while all
previous versions uses mkdir() only:

/*******************************************************************
 Mkdir() that calls dos_to_unix.
 Cope with UNIXes that don't allow high order mode bits on mkdir.
 Patch from gcarter@lanier.com.
********************************************************************/

int dos_mkdir(char *dname,mode_t mode)
{
  int ret = mkdir(dos_to_unix(dname,False),mode);
  if(!ret)                               <<<<
    return(dos_chmod(dname,mode));       <<<<
  else                                   <<<<
    return ret;
}

Should remove marked lines from lib/doscalls.c.

I know about "inherit permissions" -- this is a dangerous
parameter.

Comment 1 Michael Tokarev 2000-06-05 08:07:55 UTC
Created attachment 298 [details]
patch that removes last (2.0.7) changes around mkdir() call

Comment 2 Michael Tokarev 2000-06-05 08:08:01 UTC
Created attachment 299 [details]
patch that removes last (2.0.7) changes around mkdir() call

Comment 3 Michael Tokarev 2000-06-05 09:00:50 UTC
Created attachment 300 [details]
patch for .spec file to use previous patch -- oops, forget to add changelog entry:)

Comment 4 Michael Tokarev 2000-06-05 09:04:11 UTC
Created attachment 301 [details]
patch for .spec file to use previous patch -- oops, forget to add changelog entry:)

Comment 5 Michael Tokarev 2000-06-05 09:08:14 UTC
Created attachment 302 [details]
patch for .spec file to use previous patch -- oops, forget to add changelog entry:)

Comment 6 Michael Tokarev 2000-06-05 09:08:43 UTC
Created attachment 303 [details]
patch for .spec file to use previous patch -- oops, forget to add changelog entry:)

Comment 7 Michael Tokarev 2000-06-05 09:10:41 UTC
Wow!  Bugzilla seemed to be broken today :)
When I press "attach file" button, it times out.
So I pressed this button more times, and we see a funny result.
Use the first and last patches please :)


Comment 8 Bill Nottingham 2001-01-19 00:45:30 UTC
Added in 2.0.7-24. Apologies for the delay.


Note You need to log in before you can comment on or make changes to this bug.